%define upstream_name Horde_Date
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.8
Release:     	%mkrel 1
Summary:    	Horde Date package
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception < 2.0.0 
Requires:  	php-pear-Horde_Nls < 2.0.0 
Requires:  	php-pear-Horde_Translation < 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Nls = 2.0.0
Conflicts:  	php-pear-Horde_Translation = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Date = %{version}
Obsoletes:	horde-date


%description
Package for creating and manipulating dates.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Date.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Date.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Date
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Date/COPYING
%{peardir}/*
%{xmldir}/Horde_Date.xml


%changelog

* Sat Dec 17 2011 spuhler <spuhler> 1.0.8-1.mga2
+ Revision: 183316
- upgrade to 1.0.8

* Mon Nov 28 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 173316
- added %%doc docs/Horde_Date/COPYING
- upgrade to 1.0.6

* Sun Nov 06 2011 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 164062
- upgrade to 1.0.5
-Provides:      	php-pear-Horde_Date
  +Provides:      	php-pear-Horde_Date = %%{version}
- imported package php-pear-Horde_Date

